log4j.rootLogger=error, stdout

log4j.logger.Dialog.Designer.TraceWriter.DH_IVR_20220802062= debug, TDH_IVR_20220802062
log4j.logger.Dialog.Designer.ReportWriter.DH_IVR_20220802062= debug, RDH_IVR_20220802062

# Console
log4j.appender.stdout=org.apache.log4j.ConsoleAppender
log4j.appender.stdout.layout=org.apache.log4j.PatternLayout
log4j.appender.stdout.layout.ConversionPattern=%d{dd/MM/yyyy HH:mm:ss:SSS} %5p - %m%n

# Report File.
log4j.appender.RDH_IVR_20220802062=org.apache.log4j.DailyRollingFileAppender
log4j.appender.RDH_IVR_20220802062.File=${dd.apphome}/data/log/report.log
log4j.appender.RDH_IVR_20220802062.DatePattern='.'yyyy-MM-dd
log4j.appender.RDH_IVR_20220802062.layout=org.apache.log4j.PatternLayout
log4j.appender.RDH_IVR_20220802062.layout.ConversionPattern=%d{dd/MM/yyyy HH:mm:ss:SSS} %5p - %m%n
log4j.appender.RDH_IVR_20220802062.Encoding=UTF-8
# Trace File.
log4j.appender.TDH_IVR_20220802062=org.apache.log4j.DailyRollingFileAppender
log4j.appender.TDH_IVR_20220802062.File=${dd.apphome}/data/log/trace.log
log4j.appender.TDH_IVR_20220802062.DatePattern='.'yyyy-MM-dd
log4j.appender.TDH_IVR_20220802062.layout=org.apache.log4j.PatternLayout
log4j.appender.TDH_IVR_20220802062.layout.ConversionPattern=%d{dd/MM/yyyy HH:mm:ss:SSS} %5p - %m%n
log4j.appender.TDH_IVR_20220802062.Encoding=UTF-8